Robotsystem from Robot Group Leipzig: InvertController Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# InvertController Class Reference

`#include <invertcontroller.h>`

Inheritance diagram for InvertController:

[legend]
Collaboration diagram for InvertController:

[legend]
List of all members.

## Detailed Description

Abstract class (interface) for robot controller that use direct matrix inversion and simple one layer networks.

Implements standart parameters: eps, rho, mu, stepnumber4avg, stepnumber4delay

Definition at line 14 of file invertcontroller.h.

## Public Member Functions
| InvertController ()
virtual paramval | getParam (const paramkey &key) const
virtual bool | setParam (const paramkey &key, paramval val)
virtual paramlist | getParamList () const
| The list of all parameters with there value as allocated lists.
## Protected Attributes
paramval | eps
paramval | rho
paramval | desens
paramval | s4delay
paramval | s4avg
paramval | factor_a
paramval | number_it
paramval | epsilon_it
paramval | delta
paramval | damping_c

## Constructor & Destructor Documentation

InvertController | ( |  | ) | `[inline]`

| Definition at line 16 of file invertcontroller.h.

## Member Function Documentation

virtual paramval getParam | ( | const paramkey & | key | ) | const`[inline, virtual]`

| Definition at line 29 of file invertcontroller.h.

virtual paramlist getParamList | ( |  | ) | const`[inline, virtual]`

| The list of all parameters with there value as allocated lists. Returns: list of key-value pairs Reimplemented from Configurable. Definition at line 59 of file invertcontroller.h.

virtual bool setParam | ( | const paramkey & | key,
|  | paramval | val
| ) | `[inline, virtual]`

| Definition at line 43 of file invertcontroller.h.

## Member Data Documentation

paramval damping_c`[protected]`

| Definition at line 85 of file invertcontroller.h.

paramval delta`[protected]`

| Definition at line 84 of file invertcontroller.h.

paramval desens`[protected]`

| Definition at line 78 of file invertcontroller.h.

paramval eps`[protected]`

| Definition at line 76 of file invertcontroller.h.

paramval epsilon_it`[protected]`

| Definition at line 83 of file invertcontroller.h.

paramval factor_a`[protected]`

| Definition at line 81 of file invertcontroller.h.

paramval number_it`[protected]`

| Definition at line 82 of file invertcontroller.h.

paramval rho`[protected]`

| Definition at line 77 of file invertcontroller.h.

paramval s4avg`[protected]`

| Definition at line 80 of file invertcontroller.h.

paramval s4delay`[protected]`

| Definition at line 79 of file invertcontroller.h.